Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.persistence.bookmarks
Class DefaultBookmarkManager

    java.lang.Object
      com.endeca.portal.persistence.bookmarks.DefaultBookmarkManager

All Implemented Interfaces:
  BookmarkManager

    public class DefaultBookmarkManager

extends java.lang.Object
implements BookmarkManager

Constructor Summary
`DefaultBookmarkManager()`

Method Summary
`void` | `addPortletState(long bookmarkId, EndecaPortletState endecaPortletState)` Creates a new portlet state record for an existing bookmark; this allows bookmarks to be updated incrementally by each portlet in the bookmarked page
`protected Bookmark` | `convertFromLiferayBookmark(com.endeca.portal.liferay.ext.bookmarks.model.BookmarkRecord liferayBookmark)`
`Bookmark` | `getBookmarkById(long bookmarkId)`
`java.util.List<Bookmark>` | `getBookmarksByUserId(long userId)`
`void` | `persist(Bookmark bookmark)`
`void` | `remove(Bookmark bookmark)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBookmarkManager

    public DefaultBookmarkManager()

Method Detail

### persist

    public void persist(Bookmark bookmark)
                 throws BookmarkException

  Specified by:
    `persist` in interface `BookmarkManager`
  Throws:
    `BookmarkException`

### addPortletState

    public void addPortletState(long bookmarkId,
                                EndecaPortletState endecaPortletState)
                         throws BookmarkException

  Creates a new portlet state record for an existing bookmark; this allows bookmarks to be updated incrementally by each portlet in the bookmarked page

  Specified by:
    `addPortletState` in interface `BookmarkManager`
  Parameters:
    `bookmarkId` -
    `endecaPortletState` -
  Throws:
    `BookmarkException`

### remove

    public void remove(Bookmark bookmark)
                throws BookmarkException

  Specified by:
    `remove` in interface `BookmarkManager`
  Throws:
    `BookmarkException`

### getBookmarkById

    public Bookmark getBookmarkById(long bookmarkId)
                             throws BookmarkException

  Specified by:
    `getBookmarkById` in interface `BookmarkManager`
  Throws:
    `BookmarkException`

### getBookmarksByUserId

    public java.util.List<Bookmark> getBookmarksByUserId(long userId)
                                                  throws BookmarkException

  Specified by:
    `getBookmarksByUserId` in interface `BookmarkManager`
  Throws:
    `BookmarkException`

### convertFromLiferayBookmark

    protected Bookmark convertFromLiferayBookmark(com.endeca.portal.liferay.ext.bookmarks.model.BookmarkRecord liferayBookmark)
                                           throws com.liferay.portal.SystemException,
                                                  org.json.JSONException

  Throws:
    `com.liferay.portal.SystemException`
    `org.json.JSONException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD